Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.binding
Class JTextComponentTextBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          groovy.swing.binding.AbstractSyntheticBinding
              groovy.swing.binding.JTextComponentTextBinding

All Implemented Interfaces:
  PropertyChangeListener

    class JTextComponentTextBinding
    extends AbstractSyntheticBinding

Field Summary
`JTextComponent` | `boundTextComponent`

Fields inherited from class AbstractFullBinding
converter, reverseConverter, sourceBinding, targetBinding, validator

Constructor Summary
`JTextComponentTextBinding(PropertyBinding source, TargetBinding target)`

Method Summary
`void` | `changedUpdate(DocumentEvent event)`
`void` | `insertUpdate(DocumentEvent event)`
`void` | `propertyChange(PropertyChangeEvent event)`
`void` | `removeUpdate(DocumentEvent event)`
`void` | `syntheticBind()`
`void` | `syntheticUnbind()`

Methods inherited from class AbstractSyntheticBinding
bind, rebind, setSourceBinding, setTargetBinding, syntheticBind, syntheticUnbind, unbind

Methods inherited from class AbstractFullBinding
getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### boundTextComponent

    JTextComponent boundTextComponent

Constructor Detail

### JTextComponentTextBinding

    public JTextComponentTextBinding(PropertyBinding source, TargetBinding target)

Method Detail

### changedUpdate

    public void changedUpdate(DocumentEvent event)

### insertUpdate

    public void insertUpdate(DocumentEvent event)

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

### removeUpdate

    public void removeUpdate(DocumentEvent event)

### syntheticBind

    public void syntheticBind()

### syntheticUnbind

    public void syntheticUnbind()

Copyright © 2003-2009 The Codehaus. All rights reserved.